# $Revision: 1.31 $, $Date: 2012/06/14 13:18:32 $
Summary:	Data copying in presence of I/O errors
Summary(pl.UTF-8):	Kopiowanie danych z błędami wejścia/wyjścia
Name:		ddrescue
Version:	1.16
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	http://download.savannah.gnu.org/releases/ddrescue/%{name}-%{version}.tar.lz
# Source0-md5:	daf6af37787435ec18f3021321a7d0f1
Patch0:		%{name}-info.patch
URL:		http://www.nongnu.org/ddrescue/ddrescue.html
BuildRequires:	libstdc++-devel
BuildRequires:	lzip
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRequires:	tar >= 1:1.22
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ddrescue copies data from one file or block device (hard disk, cdrom,
etc) to another, trying hard to rescue data in case of read errors.

ddrescue does not truncate the output file if not asked to. So,
everytime you run it on the same output file, it tries to fill in the
gaps.

If you have two or more copies of a damaged file, cdrom, etc, and run
ddrescue on all of them, one at a time, with the same output file, you
will probably obtain a complete and error-free file. This is so
because the probability of having damaged areas at the same places on
different input files is very low.

If you also use the bad blocks file feature of ddrescue, the data will
be rescued very efficiently. Also you can interrupt the rescue at any
time and resume it later.

%description -l pl.UTF-8
ddrescue kopiuje dane z jednego pliku lub urządzenia blokowego (dysku
twardego, płyty CD-ROM itp.) do innego, próbując usilnie uratować dane
w przypadku błędów odczytu.

ddrescue nie skraca pliku wyjściowego, jeśli nie zostanie o to
poproszony. Za każdym uruchomieniem na tym samym pliku wyjściowym
próbuje wypełnić luki.

Jeśli mamy dwie lub więcej kopii uszkodzonego pliku, płyty itp. i
uruchomimy ddrescue na wszystkich z nich z tym samym plikiem
wyjściowym, prawdopodobnie dostaniemy cały plik bez błędów. Stanie się
tak dlatego, że prawdopodobieństwo uszkodzenia pliku w tych samych
miejscach na różnych kopiach jest bardzo małe.

Jeśli użyjemy opcji obsługi pliku z listą złych bloków w ddrescue dane
będą odzyskiwane bardzo wydajnie.

%prep
%setup -q
%patch0 -p1

%build
./configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir}

%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ddrescue
%attr(755,root,root) %{_bindir}/ddrescuelog
%{_infodir}/ddrescue.info*
%{_mandir}/man1/ddrescue.1*
%{_mandir}/man1/ddrescuelog.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ddrescue.spec,v $
Revision 1.31  2012/06/14 13:18:32  qboosh
- updated to 1.16

Revision 1.30  2012/01/02 22:33:11  adamg
- updated to 1.15

Revision 1.29  2011/01/12 17:53:51  qboosh
- updated to 1.14

Revision 1.28  2010/09/01 06:43:17  qboosh
- updated to 1.13

Revision 1.27  2010/04/09 06:35:48  qboosh
- updated to 1.12, dropped dead patch

Revision 1.26  2009/07/18 23:23:39  adamg
- updated to 1.11

Revision 1.25  2009/02/28 12:35:10  adamg
- updated to 1.10

Revision 1.24  2008/11/19 16:48:58  qboosh
- updated to 1.9 (lzip source)
- ascii-art patch ignored, about to drop next time

Revision 1.23  2008/05/31 17:29:48  areq
- 1.8
- glen what about ascii art patch ?

Revision 1.22  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.21  2007-07-03 05:56:13  qboosh
- no URL for modified patch

Revision 1.20  2007/07/03 05:48:18  qboosh
- or later

Revision 1.19  2007/07/01 13:55:46  areq
- 1.5 GPL v3

Revision 1.18  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.16  2007/01/09 17:55:16  glen
- ascii art patch from http://guru.multimedia.cx/ddrescue/; rel 2

Revision 1.15  2006/12/19 22:32:01  areq
- 1.3

Revision 1.14  2006/04/30 07:39:39  adamg
- updated to 1.2

Revision 1.13  2005/10/13 07:58:21  darekr
- kill empty TODO from %doc

Revision 1.12  2005/10/13 07:33:00  paszczus
- updated to 1.1
- updated ddrescue-info.patch

Revision 1.11  2005/06/08 15:59:22  paszczus
- updated to 1.0 ; STBR

Revision 1.10  2005/01/07 22:45:04  qboosh
- added info patch (unify INFO-DIR-SECTION); release 3

Revision 1.9  2005/01/07 22:40:43  qboosh
- rpmcxxflags needs macros 1.167

Revision 1.8  2005/01/07 15:27:17  pluto
- license updated.
- release 2.
- STBR.

Revision 1.7  2005/01/07 15:25:26  pluto
- BR(libstdc++-devel) added.

Revision 1.6  2005/01/07 15:11:31  pluto
- build/install fixed.

Revision 1.5  2005/01/07 08:51:03  kolodko
- up to 0.9 by Paweł Cyranek <czucz (at) mag-net.one.pl>

Revision 1.4  2004/12/26 19:46:11  darekr
- updated to 0.8

Revision 1.3  2004/11/10 13:58:58  paladine
- cosmetics

Revision 1.2  2004/11/04 20:00:33  qboosh
- desc fix (from README), pl

Revision 1.1  2004/11/04 11:55:08  areq
- init PLD spec
